
/**
 * 任务分类枚举
 */
export enum TaskTypeEnum {
    TASK_TYPE_GAME = '游戏',
    TASK_TYPE_NOVEL = '小说',
    TASK_TYPE_SHORT_PLAY = '短剧'
}

export enum TaskStatusEnum {
    ALL = '全部任务',
    RELEASE = '发布中',
    END = '已截止',
    LAPSE = '失效'
}

/**
 * 紧急度
 */
export enum UrgencyEnum {
    URGENCY_ORDINARY = '普通',
    URGENCY_TOP = '置顶'
}


/**
 * 任务状态
 */
export enum StatusEnum {
    STATUS_NORMAL = '正常',
    STATUS_EXPIRE = '失效'
}


/**
 * 素材类型枚举
 */
export enum MaterialTypeEnum {
    // MATERIAL_TYPE_SINGLE_PICTURE = '单图',
    // MATERIAL_TYPE_GROUP_PICTURE = '组图',
    // MATERIAL_TYPE_VOICE = '音频',
    MATERIAL_TYPE_VIDEO = '视频',
}


/**
 * 素材来源要求枚举
 */
export enum MaterialSourceEnum {
    MATERIAL_SOURCE_ORIGINAL = '原创'
}

/**
 * 素材比例枚举
 */
export enum RatioEnum {
    ONE_ONE = '1:1',
    FOUR_THREE = '4:3',
    SIXTEEN_NINE = '16:9',
    NINE_SIXTEEN = '9:16',
}