// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/**
 * 任务发布
 * @param data 
 * @param options 
 * @returns 
 */
export async function addTaskApi(data: TASKAPI.AddTask, options?: { [key: string]: any }) {
    return request<{ data: API.Result; }>('/api/task/add', {
        method: 'POST',
        data,
        ...(options || {}),
    });
}

/**
 * 任务修改
 * @param data 
 * @param options 
 * @returns 
 */
export async function modifyTaskApi(data: TASKAPI.ModifyTask, options?: { [key: string]: any }) {
    return request<{ data: API.Result; }>('/api/task/modify', {
        method: 'POST',
        data,
        ...(options || {}),
    });
}